透过数字看Linux的快速发展
======================

**不论从哪种评价指标（程序开发人员数量、更新次数以及每小时变化次数）看,都可看出这个开源的操作系统项目在稳定地成长。**

![](http://asset0.cbsistatic.com/cnwk.1d/i/tim2/2013/09/17/Linux-developers-contributing_610x342.png)
（数据来自Linux 基金会; 图表由 Stephen Shankland/CNET 提供）

_在2011-7-21 Linux发布3.0版本到2013-6-30发布3.10版本的过程中，其开发人员数量一直保持着稳定地增长。_

###过去我们知道Linux一直在成长，现在我们认识到Linux如何快速地成长

根据Linux基金会最新的[Linux年度开发报告][1]，在过去的两年中，合作打造Linux的开发人员数量从2011年7月3.0版本的1131人上升到2013年6月3.10版本的1392人。同时增长的还有：项目代码的行数，每个新版本发生的改变数量和这些改变的频次。

研究总结指出，“越来越多的开发人员和公司参与到开发过程中，使得变更的速度持续加快，就目前来看，开发速度毫不费力可以达到更快。”

![](http://asset1.cbsistatic.com/cnwk.1d/i/tim2/2013/09/17/Linux-lines-of-code_610x377.png)
(数据来自Linux 基金会; 图表由 Stephen Shankland/CNET 提供) 

_Linux是一个庞大的项目，而且在其不断扩展到新的硬件时变得越来越大，该项目在3.10版本中已经包含将近1700万行代码的。_

技术上来说，Linux只是Linux这个开源操作系统中心部分内核的统称，还尚未取得像windows或iOS这类操作系统的用户广泛认知程度。然而，它的影响力仍在持续增长：它提供了对几乎任何事物的支持，从Facebook的庞大数据中心到Google的Android。

[Linux基金会][2]年会发布的粗略统计反应了其实用性。该组织聘请了Linux的创始人和监管人Linux Torvalds以及其他人，于星期五发布了其2013年9月份的报告。该基金会使用Torvalds因不满足之前的源代码管理工具而编写的Git源代码管理工具来进行跟踪统计。（Git现在已超越Linux，得到更广泛的应用，因为越来越多的人发现它在管理多开发人员的开发项目上的实用性。）

Linux自己本身可能是这样一个广泛分布项目最好的样例。2013年6月30日发行的最新3.10版本内核，接受了来自243家公司的1392个开发人员的更新提交，这一数据超过了2011年7月21日发布3.0版本时的191家公司的1131个开发人员数。

![](http://asset3.cbsistatic.com/cnwk.1d/i/tim2/2013/09/17/Linux-corporate-contributors.png)
(来源: Linux 基金会) 

_Linux基金会列出了为Linux内核做出贡献最多的前几个公司。_

报告指出，“自从git时代开始（2005年发行2.6.11版本）,总共有9784个开发人员为Linux内核做出了贡献。”

当然，上述数据并没有呈现均匀地分布，一小部分的程序员贡献了内核中的大部分代码补丁，反之亦然。

报告还指出，“在任何指定的开发周期中，大约1/3的开发人员都是贡献一个补丁。从2.6.11发行版开始，前十个开发人员贡献了30420个更新（占总数的8.4%），前三十个开发人员贡献了超过总数约18%的部分。”

![](http://asset3.cbsistatic.com/cnwk.1d/i/tim2/2013/09/17/Linux-companies-contributing_610x402.png)
(来源: 数据来自Linux 基金会，图表由 Stephen Shankland/CNET 提供) 

_两年前，191个公司为Linux的创造做出了贡献，现在这个数字上升到了243，虽然在最顶峰时期的2012年9月的3.6版本中曾达到过298._

有人将开源软件认为是一个业余现象，而且可以确认的是该现象大量地存在。但是现在Linux最主要的大部分工作是由支付薪水的专业人员完成的。

就被Linux接受的补丁数目来说，前十名的贡献者为 Red Hat(红帽子)、Intel（因特尔）、Texas Instruments(德州仪器)、Linaro、SUSE、IBM、Samsung(三星)、Google、Vision Engraving System 和 Wolfson Microelectronics。其他的开发者中，移动技术公司包括 Texas Instruments,Samsung,Google和Qualcomm，在去年实现的64位ARM处理器的支持中扮演了重要的角色，而且也使得Google的Andoid团队和其他核心开发人员之间的冲突得到了解决。

![](http://asset1.cbsistatic.com/cnwk.1d/i/tim2/2013/09/17/Linux-changes-per-hour_610x406.png)
(来源: 数据来自Linux 基金会，图表由 Stephen Shankland/CNET 提供)  

_每过去一小时，就有大约9个更新被应用到了3.10版本的Linux内核中。_

2012年最大的一个贡献者是微软公司（Microsoft）,它为了使Windows能够在虚拟环境下（在一台计算机上运行多个操作系统的技术）与Linux和睦相处提交了688个补丁。该技术是一种在服务器市场为达到更好的硬件性能而广泛使用的方法。显然Microsoft认为这个工作已经完成了，因为它没有出现在2013年度报告中的贡献者名单中。

尽管新的内核大约每两个月诞生一次，还是有一些能够得到2年的长期bug和安全问题的修复，在最近两年中，3.0、3.4和3.10版本被作为主要的商业产品的基础内核版本。

![](http://asset2.cbsistatic.com/cnwk.1d/i/tim2/2013/09/17/Linux-total-patches_610x408.png)
(来源: 数据来自Linux 基金会，图表由 Stephen Shankland/CNET 提供)  

_每个Linux内核版本中的变更总数仍然在持续增长中。_

作者：[Stephen Shankland](http://www.cnet.com/profile/Stephen+Shankland/)

via: http://news.cnet.com/8301-1035_3-57603216-94/linux-development-by-the-numbers-big-and-getting-bigger/

本文由 [LCTT][] 原创翻译，[Linux中国][] 荣誉推出

译者：[theo-l][] 校对：[jasminepeng][]

[LCTT]:https://github.com/LCTT/TranslateProject
[Linux中国]:http://linux.cn/portal.php
[theo-l]:http://linux.cn/space/theo-l
[jasminepeng]:http://linux.cn/space/jasminepeng

[1]:http://www.linuxfoundation.org/news-media/announcements/2013/09/linux-foundation-releases-annual-linux-development-report
[2]:http://www.linuxfoundation.org/
